<? if ( !defined("_INCLUDED_GLOBAL") ) exit;		// [Security]Allow_url_fopen = On ?>
<?

// 회원만 접근가능.
auth_limit('user');

// [2025-05-20] 2단계 인증, 2단계 인증 사용하고, 사용자의 2단계 인증이 필수이면 2단계 인증한 회원만 접근 가능하도록 수정
if ( $G['DINFO']['d_svc_2fa'] != 'N') {
	$_member_2fa_info = member_2fa_info();
	if ($_member_2fa_info['m_2fa_isuse'] === 'Y') {
		if (! isset($_SESSION['is_2fa_successful']) || ! $_SESSION['is_2fa_successful']) {
			if ($_member_2fa_info['m_2fa_code'] === null) {
				movepage($nmpath . '/login_2fa_add.php?back_url=' . urlencode($_SERVER['REQUEST_URI']));
			} else {
				movepage($nmpath . '/login_2fa.php?back_url=' . urlencode($_SERVER['REQUEST_URI']));
			}
		}
	}
}

?>